/*=======================================================*/
/*  TVFALT.C                                             */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"

/*=============================================*/
/* TVfld_altmode  set alt field processing mode*/
/*   Ralf Brown 6/10/88                        */
/*=============================================*/

void pascal TVfld_altmode(OBJECT kbd,int altmode)
{
   PARMLIST1 p ;

   p.num_args = 1 ;
   p.arg[0] = (DWORD) ((altmode) ? (KBD_FIELDMODE | KBD_ACTIVE) : KBD_FIELDMODE) ;
   TVsendmsg(altmode?ADDTO_MSG:SUBFROM_MSG, kbd?TOS:KEYME, kbd, (PARMLIST *)&p) ;
}

/* End of TVFALT.C */
